EditForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.admin.user.EditForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.admin.user
Class EditForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.admin.user.EditForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NewForm

    public class EditForm

extends BaseValidatorForm

A subclass of `EditForm` representing the EditUserProperties form.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`EditForm()`

Method Summary
`java.lang.String` | `getDepartment()` Getter for property department.
`java.lang.String` | `getEmailAddress()` Getter for property email.
`java.lang.String` | `getEnableLogin()` Getter for property enableLogin.
`java.lang.String` | `getFirstName()` Getter for property firstName.
`java.lang.Integer` | `getId()`
`java.lang.String` | `getLastName()` Getter for property lastName.
`java.lang.String` | `getName()` Getter for property userName.
`java.lang.String` | `getPhoneNumber()` Getter for property phoneNumber.
`java.lang.String` | `getSmsAddress()`
`boolean` | `isHtmlEmail()`
`void` | `setDepartment(java.lang.String department)` Setter for property department.
`void` | `setEmailAddress(java.lang.String emailAddress)` Setter for property email.
`void` | `setEnableLogin(java.lang.String enableLogin)` Setter for property enableLogin.
`void` | `setFirstName(java.lang.String firstName)` Setter for property firstName.
`void` | `setHtmlEmail(boolean htmlEmail)`
`void` | `setId(java.lang.Integer id)`
`void` | `setLastName(java.lang.String lastName)` Setter for property lastName.
`void` | `setName(java.lang.String name)` Setter for property userName.
`void` | `setPhoneNumber(java.lang.String phoneNumber)` Setter for property phoneNumber.
`void` | `setSmsAddress(java.lang.String add)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, reset, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditForm

    public EditForm()

Method Detail

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### getLastName

    public java.lang.String getLastName()

  Getter for property lastName.

  Returns:
    Value of property lastName.

### setLastName

    public void setLastName(java.lang.String lastName)

  Setter for property lastName.

  Parameters:
    `lastName` - New value of property lastName.

### getFirstName

    public java.lang.String getFirstName()

  Getter for property firstName.

  Returns:
    Value of property firstName.

### setFirstName

    public void setFirstName(java.lang.String firstName)

  Setter for property firstName.

  Parameters:
    `firstName` - New value of property firstName.

### getDepartment

    public java.lang.String getDepartment()

  Getter for property department.

  Returns:
    Value of property department.

### setDepartment

    public void setDepartment(java.lang.String department)

  Setter for property department.

  Parameters:
    `department` - New value of property department.

### getName

    public java.lang.String getName()

  Getter for property userName.

  Returns:
    Value of property userName.

### setName

    public void setName(java.lang.String name)

  Setter for property userName.

  Parameters:
    `userName` - New value of property userName.

### getEmailAddress

    public java.lang.String getEmailAddress()

  Getter for property email.

  Returns:
    Value of property email.

### setEmailAddress

    public void setEmailAddress(java.lang.String emailAddress)

  Setter for property email.

  Parameters:
    `email` - New value of property email.

### isHtmlEmail

    public boolean isHtmlEmail()

### setHtmlEmail

    public void setHtmlEmail(boolean htmlEmail)

### getPhoneNumber

    public java.lang.String getPhoneNumber()

  Getter for property phoneNumber.

  Returns:
    Value of property phoneNumber.

### setPhoneNumber

    public void setPhoneNumber(java.lang.String phoneNumber)

  Setter for property phoneNumber.

  Parameters:
    `phoneNumber` - New value of property phoneNumber.

### getEnableLogin

    public java.lang.String getEnableLogin()

  Getter for property enableLogin.

  Returns:
    Value of property enableLogin.

### setEnableLogin

    public void setEnableLogin(java.lang.String enableLogin)

  Setter for property enableLogin.

  Parameters:
    `confirmPassword` - New value of property enableLogin.

### getSmsAddress

    public java.lang.String getSmsAddress()

### setSmsAddress

    public void setSmsAddress(java.lang.String add)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.